Support for intel i7 9700k


dheg

9 posts in this topic Last Reply

Recommended Posts

Hopefully someone could add some light into this.

I'm planning a build with the intel i7 9700 9th generation and I swera I read somewhere that you need linux kernel 4.20 for intel 9th generation but I can't find it know.

Does anyone know and can confirm?

Thanks!

 

Link to post
36 minutes ago, dheg said:

Hopefully someone could add some light into this.

I'm planning a build with the intel i7 9700 9th generation and I swera I read somewhere that you need linux kernel 4.20 for intel 9th generation but I can't find it know.

Does anyone know and can confirm?

Thanks!

 

Just to use the i9-9700K as a CPU in a server running unRAID should not require any particular kernel version.  There seems to be some credible information that to utilize the iGPU in the 9th generation CPU will require the updated i915 drivers that supposedly are in Linux kernel 4.20.

Link to post
Just to use the i9-9700K as a CPU in a server running unRAID should not require any particular kernel version.  There seems to be some credible information that to utilize the iGPU in the 9th generation CPU will require the updated i915 drivers that supposedly are in Linux kernel 4.20.
Thanks!

Sent from my SM-G950F using Tapatalk

Link to post
  • 4 weeks later...
  • 4 months later...
On 3/10/2019 at 2:19 PM, drdebian said:

Yeah, that's the exact reason I went with an 8th gen i3-8100 for my first unRAID build, which has now been upgraded to a i7-8700. Board and BIOS support the 9th gen processors, should I find the need to upgrade.

Are you saying you have iGPU passthrough working on your i7-8700?

Link to post
16 hours ago, ramblinreck47 said:

8th gen (Coffee Lake) iGPU is fully supported. 9th Gen is not but should be when UnRAID moves to 6.8.x.

 

14 hours ago, drdebian said:

Yes, works perfectly in Handbrake and Plex. Just added the command to load the right kernel module in the go script and that was it.

 

 

Is this including passthrough to VMs? I haven't been able to get it to work. I thought 8th gen was limited to kernel 4.20 also.

Edited by Trozmagon
Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.